Chuyển đến nội dung
Diễn đàn CADViet
victor85

[Yêu Cầu] Lisp Nhân Nhiều Số Với Một Số Lựa Chọn

Các bài được khuyến nghị

Mình gặp trường hợp có một số lượng lớn là text số thực: A, B, C, D .... đang cần phải nhân thêm vào một số hạng là x.

Kính mong các bác viết dùm lisp: Nhantext.lsp như sau ạ:

Gõ lệnh: NT

Chọn các text số thực: ta chọn các text số thực mong muốn cần tính (A, B, C, D...)

Nhập số hạng cần nhân: nhập tay vào số thực x -> Enter

Nhập số số thập phân cần làm tròn sau dấu phẩy: (Nhập từ 0 trở đi) -> Enter

Ra kết quả là các text số thực mới là kết quả của phép nhân A*x, B*x, C*x, D*x .... thay thế lần lượt đúng vào các text cũ ah (sau khi đã làm tròn).

Em xin chân thành cảm ơn các bác trước. Kính mong các bác xuống tay giúp đỡ ah :)

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thứ xem đúng ý chưa nhé!

 

(prompt "Lenh NT")

(defun C:NT() ;;;;;;;;;; NHAN VOI MOT SO ;;;;;;;;;;;
(command "undo" "BE")
(setq ttt (getreal "Nhap gia tri muon nhan : "))
(setq tp (getint "Nhap so thap phan : "))
(princ "Chon cac Text can nhan:")
(setq ss (ssget '((0 . "TEXT"))))
(setq j -1)
(repeat (sslength ss)
(setq j (+ j 1))
(setq dt1 (ssname ss j))
(setq el (entget dt1) )
(setq gt (cdr (assoc 1 el) ))
(setq gt1 (atof gt))
(setq gt2 (* gt1 ttt))
(setq gt2 (rtos gt2 2 tp))
(setq elt (subst (cons 1 gt2) (assoc 1 el) el))
(entmod elt)
)
(command "undo" "END")
)
  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 12/5/2016 tại 23:12, hainguyen2014 đã nói:

Bạn thứ xem đúng ý chưa nhé!

 

 


(prompt "Lenh NT")(defun C:NT() ;;;;;;;;;; NHAN VOI MOT SO ;;;;;;;;;;;(command "undo" "BE")(setq ttt (getreal "Nhap gia tri muon nhan : "))(setq tp (getint "Nhap so thap phan : "))(princ "Chon cac Text can nhan:")(setq ss (ssget '((0 . "TEXT"))))(setq j -1)(repeat (sslength ss)(setq j (+ j 1))(setq dt1 (ssname ss j))(setq el (entget dt1) )(setq gt (cdr (assoc 1 el) ))(setq gt1 (atof gt))(setq gt2 (* gt1 ttt))(setq gt2 (rtos gt2 2 tp))(setq elt (subst (cons 1 gt2) (assoc 1 el) el))(entmod elt))(command "undo" "END"))

Không chạy lệnh bạn ơi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Do trình duyệt thôi, bạn thử download lại
 

(defun C:NT() ;;;;;;;;;; NHAN VOI MOT SO ;;;;;;;;;;;
(command "undo" "BE")(setq ttt (getreal "Nhap gia tri muon nhan : "))(setq tp (getint "Nhap so thap phan : "))(princ "Chon cac Text can nhan:")(setq ss (ssget '((0 . "TEXT"))))(setq j -1)(repeat (sslength ss)(setq j (+ j 1))(setq dt1 (ssname ss j))(setq el (entget dt1) )(setq gt (cdr (assoc 1 el) ))(setq gt1 (atof gt))(setq gt2 (* gt1 ttt))(setq gt2 (rtos gt2 2 tp))(setq elt (subst (cons 1 gt2) (assoc 1 el) el))(entmod elt))(command "undo" "END"))

 

nt.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×